function bin = binar_man (I)     %fonction qui prend en paramtre une image I et retourne une image binaire (seuil de binarisation rentr par l'utilisateur au clavier)
	[m, n, can] = size(I);      %m=nb lignes, n=nb colonnes, can=nb canaux
	if(can > 1)
	    I = rgb2gray(I);          %dans le cas d'une image couleur, la transformer en NG
	end
	
	seuil = input('Donner le seuil: ');   %Demander  l'utilisateur d'entre une valeur de seuil
	bin =(I >= seuil) * 255;                %efficacit du calcul matriciel de Matlab (gain de temps de calcul par rapport aux boucles for)
	
	figure
	%divise la fentre en 1 ligne et 2 colonnes : pour afficher 2 images l'une  ct de l'autre
	subplot(1, 2, 1)     %slectionne le premier cadran 
	colormap(gray)
	imagesc(I);           %affichage de l'image originale
	subplot(1, 2, 2)     %slectionne le deuxime cadran
	colormap(gray)
	imagesc(bin);  
	title(strcat(['Seuil gal  ', num2str(seuil)]));    % affichage du seuil