function res = inversion_lut (I)    %fonction qui prend en paramtre une image I et retourne une image res (ngatif)
	[m, n, can] = size(I);        %m=nb lignes, n=nb colonnes, can=nb canaux
	res = zeros (m, n);           %image rsultante (de mme taille que I) : initialise  0 partout
	if(can > 1)
	    I = rgb2gray(I);            %dans le cas d'une image couleur, la transformer en NG
	end

	figure
	colormap(gray(256))
	imagesc(I);                     %affichage de l'image originale

	% inversion avec LUT
	r = 1:-1/255:0;
	v = 1:-1/255:0;
	b = 1:-1/255:0;
	lut=[r' v' b'];
	figure
	colormap(lut)
	imagesc(I);       %affichage du rsultat
