function histo = histo (I)       %fonction qui prend en paramtre une image I et retourne son histogramme sous forme de courbe
	[m, n, can] = size(I);   %m=nb lignes, n=nb colonnes, can=nb canaux
	if(can > 1)
	    I = rgb2gray(I);       %dans le cas d'une image couleur, la transformer en NG
	end
	
	% cration de lhistogramme manuellement : 
	histo = zeros(1,256);   %vecteur de zros de taille 256 : pour compter les niveaux de gris de 0  255
	for i=1:m                   %pour toutes les lignes
		for j=1:n            %pour toutes les colonnes
		       histo(1, I(i,j)+1)= histo(1, I(i,j)+1) +1;       %+1 car les indices d'une matrice commencent  1 
		end
	end
		
	figure
	%divise la fentre en 1 ligne et 2 colonnes : pour afficher 2 images l'une  ct de l'autre
	subplot(1, 2, 1)     %slectionne le premier cadran 
	colormap(gray)
	imagesc(I);          %affichage de l'image originale
	subplot(1, 2, 2)    %slectionne le deuxime cadran
	plot(histo);
	%plot(imhist(I));