function res = lutB (I)          %fonction qui prend en paramtre une image I en couleur et retourne une image res (canal Bleu)
	[m, n, can] = size(I);   %m=nb lignes, n=nb colonnes, can=nb canaux
	res = zeros (m, n);      %image rsultante (de mme taille que I) : initialise  0 partout

	if(can == 3)               %Ne faire le traitement que si l'image est en couleur (3 canaux)
	    figure
	    imagesc(I);             %affichage de l'image originale

	    % inversion avec LUT
	    vecteur = 0:1/255:1;
	    r = vecteur*0;
	    v = vecteur*0;
	    b = vecteur;
	    lut=[r' v' b'];
	    figure
	    colormap(lut)
	    imagesc(I(:,:,3));   %affichage du rsultat
	end
